import { ConfigPreset } from '../model';
import { DockerCompose } from '../model/DockerCompose';
export declare type ComposeParams = {
    target: string;
    user?: string;
    upgrade?: boolean;
};
export declare class ComposeService {
    private readonly root;
    protected readonly params: ComposeParams;
    static defaultParams: ComposeParams;
    private readonly configLoader;
    constructor(root: string, params: ComposeParams);
    run(passedPresetData?: ConfigPreset): Promise<DockerCompose>;
}
